Package org.apache.sysds.runtime.transform.meta

## Class TfOffsetMap

- java.lang.Object
- - org.apache.sysds.runtime.transform.meta.TfOffsetMap

All Implemented Interfaces:
  `Serializable`

    public class TfOffsetMap
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`TfOffsetMap​(List<Pair<Long,​Long>> rmRows)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getNumRmRows()`
`long` `getOffset​(long oldKey)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfOffsetMap

    public TfOffsetMap​(List<Pair<Long,​Long>> rmRows)

### Method Detail

#### getOffset

    public long getOffset​(long oldKey)

#### getNumRmRows

    public long getNumRmRows()